
Core - Bug # 64556

Status: Closed Priority: Should have
Author: Frans Saris Category: File Abstraction Layer (FAL)
Created: 2015-01-28 Assigned To:
Updated: 2015-02-17 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: no-brainer
Is Regression: No
Sprint Focus: On Location Sprint
Subject: ProcessedFile record should not be saved/created when processing failed
Description

If the processing of an image fails a record with empty identifier and name = NULL is still created for given process instructions. This
results in a the original file being used in FE.

Failing of processing can happen when a lot of large files are processed on the same request.

When preventing the record from being saved the processing happens on next request.

Related issues:
related to Core - Bug # 62400: Lot of entries in sys_file_processed with name... Rejected 2014-10-22
related to Core - Bug # 62767: Missing function to clear processed images (FA... Needs Feedback2014-11-07

History
#1 - 2015-01-28 11:08 - Mathias Schreiber
- Complexity set to no-brainer

#2 - 2015-01-29 12:51 - Mathias Schreiber
- Status changed from New to In Progress

#3 - 2015-01-29 17:37 - Mathias Schreiber
- Status changed from In Progress to New

#4 - 2015-01-30 17:27 - Ingo Schmitt
- Status changed from New to In Progress

#5 - 2015-01-31 18:19 - Frans Saris

We can not reproduce. The empty identifier and name = NULL in sys_file_processedfile are correct if the original file doesn't need to be resized.

we close this issue for now.

#6 - 2015-01-31 18:19 - Frans Saris
- Status changed from In Progress to Closed

#7 - 2015-02-16 18:05 - Bernhard Kraft

I experienced the same issue.

2015-08-04 1/2



A site with many (large) images on a single page (https://www.saferinternet.at/broschuerenservice/materialien-fuer-lehrende/)

Under some circumstances the sys_file_processedfile contained wrong entries which resulted in files (3k x 2k pixels in size) not being resized to
width=48. Fatal look in FE.

I guess it has to do with upgrading.

In my opinion the sys_file_processedfile should rather be a "sticky" cache than a static table. Currently only the TypoScript Configuration is taken into
account when generating the "processedfile" hash. But the TYPO3_CONF_VARS GFX section, the IM/GM version, and also the TYPO3 version would
also need to get taken into account.

What is done when processing files is:

original --> algorithm --> output

And "algorithm" not only consists of the TypoScript configuration but of all above mentioned software. When a future TYPO3 version for example
differently generates images (for example like when the "colorspace" IM option got added) all sys_file_processedfile entries would become invalidated.

I guess "cf_" cache tables should all require an additional attribute/field "stickyness". The higher the value the more one has to click "clear all caches"
:)

No. really: In the Install Tool there sould be an option to clear all cache entries up to some given stickyness level.

#8 - 2015-02-17 20:01 - Frans Saris

Hi Bernhard,

would be cool if you could find out where the processing exactly and the wrong info is written to the sys_file_processedfile table.

IMO the saved configuration/algorithm is sufficient this way. If you do a major upgrade and want to renew all you processed file you just truncate the
sys_file_processedfile table and all processed folders. But I think this normally wouldn't be necessary, most of the times it is enough if only new used
files get the new IM/GM features applied. At least in production environment.

But a clear all processed files for storage x could indeed be a nice addition to the install tool. Maybe you could create an issue for that?

Gr. Frans
